(async () => {
  const nodes = document.querySelectorAll("[module]");
  for (let i = 0; i < nodes.length; i++) {
    const node = nodes[i];
    await activateModule(node);
  }

  async function activateModule(node) {
    const name = node.getAttribute("module");
    const module = await import(`/components/${name}/${name}.mjs`);
    const firstKey = Object.keys(module)[0];
    node.jsApi = new module[firstKey](node);
  }

  const observer = new MutationObserver((mutations) => {
    mutations.forEach((mutation) => {
      for (let i = 0; i < mutation.addedNodes.length; i++) {
        const node = mutation.addedNodes[i];
        if (!node.hasAttribute("module")) continue;
        activateModule(node);
      }
    });
  });

  observer.observe(document.documentElement, {
    childList: true,
    subtree: true,
  });
})();
