const { uploadBlob } = require("./azureStorageConnector");
const packageConfig = require("../package.json");
const version = packageConfig.version;
const package = packageConfig.name;
const glob = require("glob");
const consola = require("consola");
const fs = require("fs");
const config = require("../config");

const targetGlob = `${config.paths.public}/assets/**/*.*`;

glob(targetGlob, (err, matches) => {
  if (err) {
    consola.error(err);
  }
  matches.forEach(async (src) => {
    const blobName = `${package}/${version}/assets/` + src.split(`/assets/`)[1];
    const content = fs.readFileSync(src, "utf-8");
    await uploadBlob(content, blobName);
  });
});
