const path = require("path");
const concurrently = require("concurrently");

concurrently(
  [
    {
      command: "npm:deploy-assets",
      prefixColor: "green",
    },
    {
      command: "npm:styles:preprocess",
      prefixColor: "blue",
    },
    {
      command: "npm:styles:watch",
      prefixColor: "blue",
    },
    {
      command: "npm:fractal:start",
      prefixColor: "magenta",
    },
  ],
  {
    prefix: "{name} [{time}]",
    timestampFormat: "HH:mm:ss",
    killOthers: ["failure", "success"],
    restartTries: 3,
  }
);
