const fs = require("fs");
const path = require("path");
const glob = require("glob");
const consola = require("consola");
const config = require("../config");
const targetGlob = `${config.paths.src}/{js, elements,components,page-types}/**/*.mjs`;
var UglifyJS = require("uglify-js");

glob(targetGlob, (err, matches) => {
  matches.forEach((file) => {
    const fileName = path.basename(file);
    const dir = path.dirname(file);
    const destFolder = dir.replace(config.paths.src, config.paths.dest);
    const dest = path.resolve(destFolder, `./${fileName}`);

    fs.mkdirSync(destFolder, { recursive: true });

    const source = fs.readFileSync(file, "utf8");
    const { code } = UglifyJS.minify(source);
    fs.writeFileSync(dest, code, "utf-8");
  });
  consola.success("Process completed");
});
